[android-components](../../../index.md) / [mozilla.components.browser.state.action](../../index.md) / [ReaderAction](../index.md) / [UpdateReaderActiveUrlAction](./index.md)

# UpdateReaderActiveUrlAction

`data class UpdateReaderActiveUrlAction : `[`ReaderAction`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/state/src/main/java/mozilla/components/browser/state/action/BrowserAction.kt#L622)

Updates the [ReaderState.activeUrl](../../../mozilla.components.browser.state.state/-reader-state/active-url.md).

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `UpdateReaderActiveUrlAction(tabId: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, activeUrl: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`)`<br>Updates the [ReaderState.activeUrl](../../../mozilla.components.browser.state.state/-reader-state/active-url.md). |

### Properties

| Name | Summary |
|---|---|
| [activeUrl](active-url.md) | `val activeUrl: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [tabId](tab-id.md) | `val tabId: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
